## org.omg.CORBA
Class NVList

    java.lang.Object
      |
      +--org.omg.CORBA.NVList

Direct Known Subclasses:
  NVList

public abstract class NVList
extends java.lang.Object

Constructor Summary
`NVList()`

Method Summary
`abstract NamedValue` `add_item(java.lang.String item_name, int flags)`
`abstract NamedValue` `add_value(java.lang.String name, Any value, int flags)`
`abstract NamedValue` `add(int flags)`
`abstract int` `count()`
`abstract NamedValue` `item(int index)`
`abstract void` `remove(int index)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NVList

    public NVList()

Method Detail

### count

    public abstract int count()

### add

    public abstract NamedValue add(int flags)

### add_item

    public abstract NamedValue add_item(java.lang.String item_name,
                                        int flags)

### add_value

    public abstract NamedValue add_value(java.lang.String name,
                                         Any value,
                                         int flags)

### item

    public abstract NamedValue item(int index)
                             throws Bounds

### remove

    public abstract void remove(int index)
                         throws Bounds